package cn.com.qmth.mps.bean;

import cn.com.qmth.mps.enums.ArbitrateMethod;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 双评导入参数
 * @Author: CaoZixuan
 * @Date: 2024-08-15
 */
public class DoubleMarkImportParam {

    @ApiModelProperty("仲裁方式")
    private ArbitrateMethod arbitrateMethod;

    @ApiModelProperty("双评比例")
    private Double doubleRate;

    @ApiModelProperty("仲裁值")
    private Double arbitrateThreshold;

    public DoubleMarkImportParam() {
    }

    public DoubleMarkImportParam(ArbitrateMethod arbitrateMethod, Double doubleRate, Double arbitrateThreshold) {
        this.arbitrateMethod = arbitrateMethod;
        this.doubleRate = doubleRate;
        this.arbitrateThreshold = arbitrateThreshold;
    }

    public ArbitrateMethod getArbitrateMethod() {
        return arbitrateMethod;
    }

    public void setArbitrateMethod(ArbitrateMethod arbitrateMethod) {
        this.arbitrateMethod = arbitrateMethod;
    }

    public Double getDoubleRate() {
        return doubleRate;
    }

    public void setDoubleRate(Double doubleRate) {
        this.doubleRate = doubleRate;
    }

    public Double getArbitrateThreshold() {
        return arbitrateThreshold;
    }

    public void setArbitrateThreshold(Double arbitrateThreshold) {
        this.arbitrateThreshold = arbitrateThreshold;
    }
}
